//
//  AppDelegate.h
//  iTNEFsEnough
//
//  Created by Josh Jacob on 3/22/12.
//  Copyright (c) 2012 Josh Jacob. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CoreData/CoreData.h>

#define NOTIFICATION_UPDATED_FILES @"TNEF-Updated-Files"

@interface AppDelegate : UIResponder <UIApplicationDelegate>
{
	NSManagedObjectContext *managedObjectContext_;
    NSManagedObjectModel *managedObjectModel_;
    NSPersistentStoreCoordinator *persistentStoreCoordinator_;
}

@property (strong, nonatomic) UIWindow *window;

@property (strong, nonatomic, readonly) NSMutableArray *files;

+(NSManagedObjectContext*)moc;

-(void)updateFileList;

@end
