//
//  TNEFDataService.h
//  iTNEFsEnough
//
//  Created by Josh Jacob on 3/9/13.
//  Copyright (c) 2013 Josh Jacob. All rights reserved.
//

#import <Foundation/Foundation.h>

#import "TNEFFileModel.h"

@interface TNEFDataService : NSObject

+ (NSArray *)readAllFiles;

+ (TNEFFileModel *)createFileWithName:(NSString *)fileName
                            fromEmail:(NSString *)from
                              subject:(NSString *)subject
                             dateSent:(NSDate *)dateSent
                           bodyIsHTML:(BOOL)isHTML;

+ (void)deleteFile:(TNEFFileModel *)file;

+ (void)debugFile:(TNEFFileModel *)file;

+ (NSArray *)getFiles:(TNEFFileModel *)file;

@end
