//
//  AboutTNEFViewController.m
//  iTNEFsEnough
//
//  Created by Josh Jacob on 3/5/13.
//  Copyright (c) 2013 Josh Jacob. All rights reserved.
//

#import "AboutTNEFViewController.h"

@interface AboutTNEFViewController ()

@end

@implementation AboutTNEFViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
    
    self.webView.scrollView.bounces = NO;
    self.webView.scrollView.minimumZoomScale = 1.0;
    self.webView.scrollView.maximumZoomScale = 1.0;
    self.webView.scalesPageToFit = NO;
    
    NSString *htmlFile = [[NSBundle mainBundle] pathForResource:@"about-web/index" ofType:@"html"];

    NSError *error;
    NSString *stringHTML = [NSString stringWithContentsOfFile:htmlFile encoding:NSUTF8StringEncoding error:&error];
    if (error != nil) {
        DLog(@"Error reading HTML file: %@", error);
    }
    
    [self.webView loadHTMLString:stringHTML baseURL:[[NSBundle mainBundle] URLForResource:@"about-web" withExtension:nil]];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)dealloc
{
    self.navBar = nil;
}
//
//- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
//{
//    return YES;
//}
//
//-(NSUInteger)supportedInterfaceOrientations
//{
//    return UIInterfaceOrientationMaskAll;
//}

#pragma UIWebViewDelegate

- (BOOL)webView:(UIWebView *)webView
shouldStartLoadWithRequest:(NSURLRequest *)request
 navigationType:(UIWebViewNavigationType)navigationType
{
    NSString *absoluteString = request.URL.absoluteString;
    DLog(@"shouldStartLoadWithRequest - %@", absoluteString);
    if ([absoluteString hasPrefix:@"file"]) {
        return YES;
    }
    if ([absoluteString hasPrefix:@"http"]) {
         [[UIApplication sharedApplication] openURL:[NSURL URLWithString:absoluteString]];
        return NO;
    }
    return NO;
}

@end
